[ Identification | Description | Input parameters | Output parameters | Links ]

# The `TOF_monitor` Component

Rectangular Time-of-flight monitor.

## Identification

- Author: KN, M. Hagen
- Origin: Risoe
- Date: August 1998
- Version: 1.25

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
nchan | 1 | Number of time bins | 20
filename | text | Name of file in which to store the detector image |
xmin | m | Lower x bound of detector opening | 0
xmax | m | Upper x bound of detector opening | 0
ymin | m | Lower y bound of detector opening | 0
ymax | m | Upper y bound of detector opening | 0
xwidth | m | Width/diameter of detector (x). Overrides xmin,xmax. | 0
yheight | m | Height of detector (y). Overrides ymin,ymax. | 0
t0 | mu-s | Lower time limit | 0
t1 | mu-s | Upper time limit | 0
dt | mu-s | Length of each time bin | 1.0

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
TOF_N | - | Array of neutron counts |
TOF_p | - | Array of neutron weight counts |
TOF_p2 | - | Array of second moments |
t_min |  |  |
t_max |  |  |
delta_t |  |  |

## Links

- Source code for `TOF_monitor.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]